#!/bin/sh

# board/cv/outputs_to_tar.sh

msg() {
	printf "\n*** $1 ***\n\n"
}


p="$(dirname $0)"

td=/tmp/br_outputs

rm -rf ${td}

for n in produktion standard
do
	if ! mkdir -p ${td}/output_${n}
	then
		msg "Konnte Verzeichnis ${td}/output_${n} nicht erstellen!"
		exit 1
	fi
	if ! cp -a "${p}/../../../output_produktion/images" "${td}/output_${n}/"
	then
		msg "Konnte ${p}/../../../output_produktion/images nicht nach ${td}/output_${n}/ kopieren!"
		exit 1
	fi
done

if ! tar -C ${td} -vczf ${p}/outputs.tar.gz .
then
	msg "Konnte ${td} nicht nach ${p}/outputs.tar.gz packen!"
	exit 1
fi

msg "${p}/outputs.tar.gz fertig! :-)"

